import { Component, OnInit } from '@angular/core';
import {FramePageComponent} from "../../../frame/core/page/frame.page";
import {BsModalService} from "ngx-bootstrap/modal";
import {PayChannelDetailComponent} from "../pay-channel-detail/pay-channel-detail.component";

@Component({
  selector: 'app-pay-channel-page',
  templateUrl: './pay-channel-page.component.html',
  styleUrls: ['./pay-channel-page.component.scss']
})
export class PayChannelPageComponent extends FramePageComponent implements OnInit {

  constructor(modalService: BsModalService) {
    super(modalService);
    this.modalComponent = PayChannelDetailComponent;
  }

  ngOnInit() {
  }

  onModalClose() {
    this.ajax.request();
  }

}
